## Zim (.zim, for Kiwix)

### General Information

| Attribute       | Value                                                                  |
| --------------- | ---------------------------------------------------------------------- |
| Name            | Zim                                                                    |
| snake_case_name | zim                                                                    |
| Description     | Zim (.zim, for Kiwix)                                                  |
| Extensions      | `.zim`                                                                 |
| Read support    | Yes                                                                    |
| Write support   | No                                                                     |
| Single-file     | Yes                                                                    |
| Kind            | 🔢 binary                                                               |
| Wiki            | [ZIM (file format)](<https://en.wikipedia.org/wiki/ZIM_(file_format)>) |
| Website         | [OpenZIM](https://wiki.openzim.org/wiki/OpenZIM)                       |

### Read options

| Name                | Default   | Type | Comment                                                             |
| ------------------- | --------- | ---- | ------------------------------------------------------------------- |
| text_unicode_errors | `replace` | str  | Unicode Errors for plaintext, values: `strict`, `ignore`, `replace` |
| html_unicode_errors | `replace` | str  | Unicode Errors for HTML, values: `strict`, `ignore`, `replace`      |

### Dependencies for reading

PyPI Links: [libzim>=1.0](https://pypi.org/project/libzim%3E=1.0)

To install, run:

```sh
pip3 install libzim>=1.0
```

### Dictionary Applications/Tools

| Name & Website                                              | Source code | License | Platforms      | Language |
| ----------------------------------------------------------- | ----------- | ------- | -------------- | -------- |
| [Kiwix Desktop](https://github.com/kiwix/kiwix-desktop)     | ―           | GPL     | Linux, Windows |          |
| [Kiwix JS](https://github.com/kiwix/kiwix-js)               | ―           | GPL     | Windows        |          |
| [Kiwix Serve](https://github.com/kiwix/kiwix-tools)         | ―           | GPL     | Linux, Windows |          |
| [Kiwix for Apple Mac OS X](macos.kiwix.org)                 | ―           |         | Mac            |          |
| [Kiwix for Android](https://github.com/kiwix/kiwix-android) | ―           | GPL     | Android        |          |
